<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::correlation_tracker Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1correlation__tracker.html">correlation_tracker</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1correlation__tracker-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::correlation_tracker Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aeda0709011614a0af337319ee5b42a7d"><td class="memTemplParams" colspan="2"><a id="aeda0709011614a0af337319ee5b42a7d"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:aeda0709011614a0af337319ee5b42a7d"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>start_track</b> (const image_type &amp;img, const <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> &amp;p)</td></tr>
<tr class="separator:aeda0709011614a0af337319ee5b42a7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80e7e92c5766940f2b18bd4f5e5cccc"><td class="memItemLeft" align="right" valign="top"><a id="ab80e7e92c5766940f2b18bd4f5e5cccc"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_filter_size</b> () const</td></tr>
<tr class="separator:ab80e7e92c5766940f2b18bd4f5e5cccc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8d641dc59ea778a1563cca455248508"><td class="memItemLeft" align="right" valign="top"><a id="ab8d641dc59ea778a1563cca455248508"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_num_scale_levels</b> () const</td></tr>
<tr class="separator:ab8d641dc59ea778a1563cca455248508"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c01ded68a6e8707bc539d70c3ce4dcf"><td class="memItemLeft" align="right" valign="top"><a id="a6c01ded68a6e8707bc539d70c3ce4dcf"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_scale_window_size</b> () const</td></tr>
<tr class="separator:a6c01ded68a6e8707bc539d70c3ce4dcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a8e00b4e0e11b8bfe93341713fd362"><td class="memItemLeft" align="right" valign="top"><a id="a56a8e00b4e0e11b8bfe93341713fd362"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_regularizer_space</b> () const</td></tr>
<tr class="separator:a56a8e00b4e0e11b8bfe93341713fd362"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21cc01c8cf8193b8ae6cb4b8f4a5f030"><td class="memItemLeft" align="right" valign="top"><a id="a21cc01c8cf8193b8ae6cb4b8f4a5f030"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_nu_space</b> () const</td></tr>
<tr class="separator:a21cc01c8cf8193b8ae6cb4b8f4a5f030"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5115c4b0abfcbc9f845c52ea5a18d9e"><td class="memItemLeft" align="right" valign="top"><a id="aa5115c4b0abfcbc9f845c52ea5a18d9e"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_regularizer_scale</b> () const</td></tr>
<tr class="separator:aa5115c4b0abfcbc9f845c52ea5a18d9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af93e47324869f0b980a0e4bbe33aa845"><td class="memItemLeft" align="right" valign="top"><a id="af93e47324869f0b980a0e4bbe33aa845"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_nu_scale</b> () const</td></tr>
<tr class="separator:af93e47324869f0b980a0e4bbe33aa845"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d0c7078f493bc4c0db160dc4fbc7602"><td class="memItemLeft" align="right" valign="top"><a id="a7d0c7078f493bc4c0db160dc4fbc7602"></a>
<a class="el" href="classdlib_1_1drectangle.html">drectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>get_position</b> () const</td></tr>
<tr class="separator:a7d0c7078f493bc4c0db160dc4fbc7602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6fedf696b55e575c605be035ef039ce"><td class="memItemLeft" align="right" valign="top"><a id="ae6fedf696b55e575c605be035ef039ce"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>get_scale_pyramid_alpha</b> () const</td></tr>
<tr class="separator:ae6fedf696b55e575c605be035ef039ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4d05122c757a121f69cee48f9356f20"><td class="memTemplParams" colspan="2"><a id="ad4d05122c757a121f69cee48f9356f20"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:ad4d05122c757a121f69cee48f9356f20"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><b>update</b> (const image_type &amp;img, const <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> &amp;guess)</td></tr>
<tr class="separator:ad4d05122c757a121f69cee48f9356f20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8335fe1039fddab6ff1d228e922f365e"><td class="memTemplParams" colspan="2"><a id="a8335fe1039fddab6ff1d228e922f365e"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a8335fe1039fddab6ff1d228e922f365e"><td class="memTemplItemLeft" align="right" valign="top">double&#160;</td><td class="memTemplItemRight" valign="bottom"><b>update</b> (const image_type &amp;img)</td></tr>
<tr class="separator:a8335fe1039fddab6ff1d228e922f365e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad08fb68cdb30a8c58411d42ee0d8b5de"><td class="memTemplParams" colspan="2"><a id="ad08fb68cdb30a8c58411d42ee0d8b5de"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:ad08fb68cdb30a8c58411d42ee0d8b5de"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><b>make_scale_space</b> (const image_type &amp;img, std::vector&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt;, 0, 1 &gt; &gt; &amp;Fs) const</td></tr>
<tr class="separator:ad08fb68cdb30a8c58411d42ee0d8b5de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a199d1d3d91e4fd822a58136f8ccf6a20"><td class="memTemplParams" colspan="2"><a id="a199d1d3d91e4fd822a58136f8ccf6a20"></a>
template&lt;typename image_type &gt; </td></tr>
<tr class="memitem:a199d1d3d91e4fd822a58136f8ccf6a20"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1point__transform__affine.html">point_transform_affine</a>&#160;</td><td class="memTemplItemRight" valign="bottom"><b>make_chip</b> (const image_type &amp;img, <a class="el" href="classdlib_1_1drectangle.html">drectangle</a> p, std::vector&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt; &gt; &gt; &amp;chip) const</td></tr>
<tr class="separator:a199d1d3d91e4fd822a58136f8ccf6a20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af90a301b3770d2021ae08dc89619491f"><td class="memItemLeft" align="right" valign="top"><a id="af90a301b3770d2021ae08dc89619491f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>make_target_location_image</b> (const <a class="el" href="classdlib_1_1vector.html">dlib::vector</a>&lt; double, 2 &gt; &amp;p, <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt; &gt; &amp;g) const</td></tr>
<tr class="separator:af90a301b3770d2021ae08dc89619491f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af73871e534b1a2cb492fa3f987cd97fd"><td class="memItemLeft" align="right" valign="top"><a id="af73871e534b1a2cb492fa3f987cd97fd"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>make_scale_target_location_image</b> (const double scale, <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt;, 0, 1 &gt; &amp;g) const</td></tr>
<tr class="separator:af73871e534b1a2cb492fa3f987cd97fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafc770f39cb9f75aea64d9b15e232ed5"><td class="memItemLeft" align="right" valign="top"><a id="aafc770f39cb9f75aea64d9b15e232ed5"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>make_cosine_mask</b> () const</td></tr>
<tr class="separator:aafc770f39cb9f75aea64d9b15e232ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0e6250af1aee200038930165cc991af9"><td class="memItemLeft" align="right" valign="top"><a id="a0e6250af1aee200038930165cc991af9"></a>
std::vector&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>A</b></td></tr>
<tr class="separator:a0e6250af1aee200038930165cc991af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9fe82264aa7177d05945355ef74c122"><td class="memItemLeft" align="right" valign="top"><a id="ad9fe82264aa7177d05945355ef74c122"></a>
std::vector&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt; &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>F</b></td></tr>
<tr class="separator:ad9fe82264aa7177d05945355ef74c122"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7006e632b535d0ecb258f0b230d8b78d"><td class="memItemLeft" align="right" valign="top"><a id="a7006e632b535d0ecb258f0b230d8b78d"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>B</b></td></tr>
<tr class="separator:a7006e632b535d0ecb258f0b230d8b78d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92dfc0b7d7429c62ff7b1a72b278073b"><td class="memItemLeft" align="right" valign="top"><a id="a92dfc0b7d7429c62ff7b1a72b278073b"></a>
std::vector&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt;, 0, 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>As</b></td></tr>
<tr class="separator:a92dfc0b7d7429c62ff7b1a72b278073b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a111a628ccb4ce02c087b859ecf6afc7b"><td class="memItemLeft" align="right" valign="top"><a id="a111a628ccb4ce02c087b859ecf6afc7b"></a>
std::vector&lt; <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt;, 0, 1 &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Fs</b></td></tr>
<tr class="separator:a111a628ccb4ce02c087b859ecf6afc7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e51611486875e7d6af3ba0a2a944ed8"><td class="memItemLeft" align="right" valign="top"><a id="a6e51611486875e7d6af3ba0a2a944ed8"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Bs</b></td></tr>
<tr class="separator:a6e51611486875e7d6af3ba0a2a944ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfdb42c81247c51431ee929c8054e918"><td class="memItemLeft" align="right" valign="top"><a id="abfdb42c81247c51431ee929c8054e918"></a>
<a class="el" href="classdlib_1_1drectangle.html">drectangle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>position</b></td></tr>
<tr class="separator:abfdb42c81247c51431ee929c8054e918"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c89d8762d074cf6e7c77e2c6210498a"><td class="memItemLeft" align="right" valign="top"><a id="a3c89d8762d074cf6e7c77e2c6210498a"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>mask</b></td></tr>
<tr class="separator:a3c89d8762d074cf6e7c77e2c6210498a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d7850faf55a43fb5413480546ec8584"><td class="memItemLeft" align="right" valign="top"><a id="a5d7850faf55a43fb5413480546ec8584"></a>
std::vector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>scale_cos_mask</b></td></tr>
<tr class="separator:a5d7850faf55a43fb5413480546ec8584"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70692e905769a823c1962a1981de98db"><td class="memItemLeft" align="right" valign="top"><a id="a70692e905769a823c1962a1981de98db"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>G</b></td></tr>
<tr class="separator:a70692e905769a823c1962a1981de98db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a466affb6d3c1fcdbfec4d6eaa1062564"><td class="memItemLeft" align="right" valign="top"><a id="a466affb6d3c1fcdbfec4d6eaa1062564"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; std::complex&lt; double &gt;, 0, 1 &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Gs</b></td></tr>
<tr class="separator:a466affb6d3c1fcdbfec4d6eaa1062564"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="correlation__tracker_8h_source.html">correlation_tracker.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
